<section class="contact-form">
  <form action="{$urls.pages.contact}" method="post" {if $contact.allow_file_upload}enctype="multipart/form-data"{/if}>

    {if $notifications}
        {assign var=msg_tpl value="{$tpl_dir}templates/messages/{if $notifications.nw_error}error{else}success{/if}.tpl"}
        {include file=$msg_tpl dismissable=false message=$notifications.messages}
    {/if}

    <section class="form-fields">

      <div class="form-group row">
        <label class="col-md-2 form-control-label">{l s='Subject' d='Shop.Forms.Labels'}</label>
        <div class="col-md-10">
          <select name="id_contact" class="form-control form-control-select">
            {foreach from=$contact.contacts item=contact_elt}
              <option value="{$contact_elt.id_contact}">{$contact_elt.name}</option>
            {/foreach}
          </select>
        </div>
      </div>

      <div class="form-group row">
        <label class="col-md-2 form-control-label">{l s='Email address' d='Shop.Forms.Labels'}</label>
        <div class="col-md-10">
          <input
            class="form-control"
            name="from"
            type="email"
            value="{$contact.email}"
            placeholder="{l s='your@email.com' d='Shop.Forms.Help'}"
          >
        </div>
      </div>

      {if $contact.orders}
        <div class="form-group row">
          <label class="col-md-2 form-control-label">{l s='Order reference' d='Shop.Forms.Labels'}</label>
          <div class="col-md-10">
            <select name="id_order" class="form-control form-control-select">
              <option value="">{l s='Select reference' d='Shop.Forms.Help'}</option>
              {foreach from=$contact.orders item=order}
                <option value="{$order.id_order}">{$order.reference}</option>
              {/foreach}
            </select>
          </div>
          <span class="col-md-2 form-control-comment">
            {l s='optional' d='Shop.Forms.Help'}
          </span>
        </div>
      {/if}

      {if $contact.allow_file_upload}
        <div class="form-group row">
          <label class="col-md-2 form-control-label">{l s='Attachment' d='Shop.Forms.Labels'}</label>
          <div class="col-md-10">
            <input type="file" name="fileUpload" class="filestyle" data-buttonText="{l s='Choose file' d='Shop.Theme.Actions'}">
          </div>
          <span class="col-md-2 form-control-comment">
            {l s='optional' d='Shop.Forms.Help'}
          </span>
        </div>
      {/if}

      <div class="form-group row">
        <label class="col-md-2 form-control-label">{l s='Message' d='Shop.Forms.Labels'}</label>
        <div class="col-md-10">
          <textarea
            name="message"
            placeholder="{l s='How can we help?' d='Shop.Forms.Help'}"
            rows="3"
          >{if $contact.message}{$contact.message}{/if}</textarea>
        </div>
      </div>

    </section>

    <footer class="form-footer text-xs-right">
      <input type="submit" name="submitMessage" value="{l s='Send' d='Shop.Theme.Actions'}">
    </footer>

  </form>
</section>