<div id="search_filters">
    {block name='facets_clearall_button'}
        <div id="_desktop_search_filters_clear_all" class="clear-all-wrapper">
            <button data-search-url="{$clear_all_link}" class="bd-button js-search-filters-clear-all">
                &times;
                {l s='Clear all' d='Shop.Theme.Actions'}
            </button>
        </div>
    {/block}

    {foreach from=$facets item="facet"}
        {if $facet.displayed}
            <section class="facet clearfix">
                <h5 class="facet-title">{$facet.label}</h5>
                {assign var=_expand_id value=10|mt_rand:100000}
                {assign var=_collapse value=true}
                {foreach from=$facet.filters item="filter"}
                    {if $filter.active}{assign var=_collapse value=false}{/if}
                {/foreach}

                {if $facet.widgetType !== 'dropdown'}

                    {block name='facet_item_other'}
                        <ul id="facet_{$_expand_id}" class="collapse{if !$_collapse} in{/if}">
                            {foreach from=$facet.filters item="filter"}
                                {if $filter.displayed}
                                    <li>
                                        <label class="facet-label{if $filter.active} active {/if}">
                                            {if $facet.multipleSelectionAllowed}
                                                <span class="{if isset($filter.properties.color) || isset($filter.properties.texture)}custom-checkbox{/if}">
                                                    <input
                                                            data-search-url="{$filter.nextEncodedFacetsURL}"
                                                            type="checkbox"
                                                            {if $filter.active } checked {/if}
                                                    >
                                                    {if isset($filter.properties.color)}
                                                        <span class="color"
                                                              style="background-color:{$filter.properties.color}"></span>
                                                    {elseif isset($filter.properties.texture)}
                                                        <span
                                                            class="color texture"
                                                            style="background-image:url({$filter.properties.texture})"
                                                        ></span>
                                                    {else}

                                                    {/if}
                                                </span>
                                            {else}
                                                <span>
                                                    <input
                                                            data-search-url="{$filter.nextEncodedFacetsURL}"
                                                            type="radio"
                                                            name="filter {$facet.label}"
                                                            {if $filter.active } checked {/if}
                                                    >
                                                    <span {if !$js_enabled} class="ps-shown-by-js" {/if}></span>
                                                </span>
                                            {/if}

                                            <a
                                                    href="{$filter.nextEncodedFacetsURL}"
                                                    class="_gray-darker search-link js-search-link"
                                                    rel="nofollow"
                                            >
                                                {$filter.label}
                                                {if $filter.magnitude}
                                                    <span class="magnitude">({$filter.magnitude})</span>
                                                {/if}
                                            </a>
                                        </label>
                                    </li>
                                {/if}
                            {/foreach}
                        </ul>
                    {/block}

                {else}

                    {block name='facet_item_dropdown'}
                        <ul id="facet_{$_expand_id}" class="collapse{if !$_collapse} in{/if}">
                            <li>
                                <div class="col-sm-12 col-xs-12 col-md-12 facet-dropdown dropdown">
                                    <a class="select-title" rel="nofollow" data-toggle="dropdown" aria-haspopup="true"
                                       aria-expanded="false">
                                        {$active_found = false}
                                        <span>
                                            {foreach from=$facet.filters item="filter"}
                                                {if $filter.active}
                                                    {$filter.label}
                                                    {if $filter.magnitude}
                                                        ({$filter.magnitude})
                                                    {/if}
                                                    {$active_found = true}
                                                {/if}
                                            {/foreach}
                                            {if !$active_found}
                                                {l s='(no filter)' d='Shop.Theme'}
                                            {/if}
                                        </span>
                                        <i class="material-icons pull-xs-right">&#xE5C5;</i>
                                    </a>
                                    <div class="dropdown-menu">
                                        {foreach from=$facet.filters item="filter"}
                                            {if !$filter.active}
                                                <a
                                                        rel="nofollow"
                                                        href="{$filter.nextEncodedFacetsURL}"
                                                        class="select-list"
                                                >
                                                    {$filter.label}
                                                    {if $filter.magnitude}
                                                        ({$filter.magnitude})
                                                    {/if}
                                                </a>
                                            {/if}
                                        {/foreach}
                                    </div>
                                </div>
                            </li>
                        </ul>
                    {/block}

                {/if}
            </section>
        {/if}
    {/foreach}
</div>